[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.Cancel

Cancel the current editing operation

## Declaration

Source position: db.pas line 1676

`public procedure TDataSet.Cancel; virtual;`

## Description

Cancel cancels the current editing operation and sets the dataset again in browse mode. This operation triggers the TDataset.BeforeCancel and TDataset.AfterCancel events. If the dataset was sin insert mode, then the TDataset.BeforeScroll and TDataset.AfterScroll events are triggered after and respectively before the BeforeCancel and AfterCancel events.

If the dataset was not in one of the editing modes when Cancel is called, then nothing will happen.

## See also

TDataset.State |  | Current operational state of the dataset
TDataset.Append |  | Append a new record to the data
TDataset.Insert |  | Insert a new record at the current position.
TDataset.Edit |  | Set the dataset in editing mode.